Index: src/uk/me/parabola/imgfmt/app/Coord.java
===================================================================
--- src/uk/me/parabola/imgfmt/app/Coord.java	(revision 4258)
+++ src/uk/me/parabola/imgfmt/app/Coord.java	(working copy)
@@ -22,6 +22,7 @@
 
 import uk.me.parabola.imgfmt.Utils;
 import uk.me.parabola.mkgmap.filters.ShapeMergeFilter;
+import uk.me.parabola.mkgmap.reader.osm.Element;
 
 /**
  * A point coordinate in unshifted map-units.
@@ -624,7 +625,7 @@
 	}
 
 	protected String toOSMURL(int zoom) {
-		return ("http://www.openstreetmap.org/?mlat=" +
+		return (Element.OSM_URL + "?mlat=" +
 				String.format(Locale.ENGLISH, "%.6f", getLatDegrees()) +
 				"&mlon=" +
 				String.format(Locale.ENGLISH, "%.6f", getLonDegrees()) +
Index: src/uk/me/parabola/imgfmt/app/net/RoadDef.java
===================================================================
--- src/uk/me/parabola/imgfmt/app/net/RoadDef.java	(revision 4258)
+++ src/uk/me/parabola/imgfmt/app/net/RoadDef.java	(working copy)
@@ -37,6 +37,7 @@
 import uk.me.parabola.log.Logger;
 import uk.me.parabola.mkgmap.general.CityInfo;
 import uk.me.parabola.mkgmap.general.ZipCodeInfo;
+import uk.me.parabola.mkgmap.reader.osm.Element;
 
 /**
  * A road definition.  This ties together all segments of a single road
@@ -178,7 +179,7 @@
 	// for diagnostic purposes
 	public String toString() {
 		// assumes id is an OSM id
-		String browseURL = "http://www.openstreetmap.org/browse/way/" + id;
+		String browseURL = Element.OSM_URL + "way/" + id;
 		//if(getName() != null)
 		//	return "(" + getName() + ", " + browseURL + ")";
 		//else
Index: src/uk/me/parabola/mkgmap/build/MapBuilder.java
===================================================================
--- src/uk/me/parabola/mkgmap/build/MapBuilder.java	(revision 4258)
+++ src/uk/me/parabola/mkgmap/build/MapBuilder.java	(working copy)
@@ -99,6 +99,7 @@
 import uk.me.parabola.mkgmap.reader.MapperBasedMapDataSource;
 import uk.me.parabola.mkgmap.reader.hgt.HGTConverter;
 import uk.me.parabola.mkgmap.reader.hgt.HGTConverter.InterpolationMethod;
+import uk.me.parabola.mkgmap.reader.osm.Element;
 import uk.me.parabola.mkgmap.reader.hgt.HGTReader;
 import uk.me.parabola.mkgmap.reader.overview.OverviewMapDataSource;
 import uk.me.parabola.util.Configurable;
@@ -945,7 +946,7 @@
 			mapInfo.addAll(licenseArray);
 		} else {
 			mapInfo.add("Map data (c) OpenStreetMap and its contributors");
-			mapInfo.add("http://www.openstreetmap.org/copyright");
+			mapInfo.add(Element.OSM_URL + "copyright");
 			mapInfo.add("");
 			mapInfo.add("This map data is made available under the Open Database License:");
 			mapInfo.add("http://opendatacommons.org/licenses/odbl/1.0/");
Index: src/uk/me/parabola/mkgmap/reader/osm/Element.java
===================================================================
--- src/uk/me/parabola/mkgmap/reader/osm/Element.java	(revision 4258)
+++ src/uk/me/parabola/mkgmap/reader/osm/Element.java	(working copy)
@@ -29,6 +29,8 @@
 public abstract class Element {
 	private static final Logger log = Logger.getLogger(Element.class);
 	
+	public static final String OSM_URL = "https://www.openstreetmap.org/";
+	
 	private Tags tags;
 	private long id;
 	private long originalId;
@@ -304,7 +306,7 @@
 	}
 
 	public String toBrowseURL() {
-		return "http://www.openstreetmap.org/" + kind() + "/" + id;
+		return OSM_URL + kind() + "/" + id;
 	}
 
 	public Element copy() {
